Skip to main content
GET
/
v1
/
subjects
Get Subjects
curl --request GET \
  --url https://gateway.polymarket.us/v1/subjects
{
  "subjects": [
    {
      "id": 123,
      "name": "<string>",
      "displayName": "<string>",
      "description": "<string>",
      "subjectType": "<string>",
      "image": "<string>",
      "color": "<string>",
      "darkColor": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "slug": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.polymarket.us/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer<int32>
offset
integer<int32>
query
string
subjectType
string

Response

200 - application/json

A successful response.

subjects
object[]